# Generated by Django 3.1 on 2020-08-20 06:45

from django.db import migrations, models
import loan_order.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='LoanOrder',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('cpf', models.CharField(max_length=14, validators=[loan_order.models.validate_cpf])),
                ('birthdate', models.DateField()),
                ('amount', models.DecimalField(decimal_places=2, max_digits=6)),
                ('terms', models.IntegerField(choices=[(6, '6x'), (9, '9x'), (12, '12x')])),
                ('income', models.DecimalField(decimal_places=2, max_digits=6)),
                ('status', models.CharField(choices=[('processing', 'Processing'), ('completed', 'Completed')], default='processing', max_length=14)),
                ('result', models.CharField(blank=True, choices=[('approved', 'Approved'), ('refused', 'Refused')], max_length=14, null=True)),
                ('refused_policy', models.CharField(blank=True, choices=[('age', 'Age'), ('score', 'Score'), ('commitment', 'Commitment')], max_length=14, null=True)),
                ('amount_approved', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True)),
                ('terms_approved', models.IntegerField(blank=True, choices=[(6, '6x'), (9, '9x'), (12, '12x')], null=True)),
            ],
        ),
    ]
